MessageParameterObj (Compiler assisted localization library (CAL10N) - Parent 0.7.7 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.qos.cal10n
Class MessageParameterObj

    java.lang.Object
      ch.qos.cal10n.MessageParameterObj

    public class MessageParameterObj

extends Object

Holds data relevant for a deferred message lookup. This is useful when the appropriate locale is unknown at the time or place where the message key and message args are emitted. For example, a low level library might wish to emit a localized message but it is only at the UI (user interface) layer that the locale is known. As another example, imagine that the host where the localized messages are presented to the user is in a different locale, e.g. Japan, than the locale of the source host. e.g. US.

Instances of this class are intended to be immutable, subject to the immutability of the supplied args.

Author:
  Rick Beton, Ceki Gülcü

Constructor Summary
`MessageParameterObj(Enum<?> key, Object... args)` Constructs an instance.

Method Summary
`boolean` | `equals(Object obj)`
`Object[]` | `getArgs()`
`Enum<?>` | `getKey()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageParameterObj

    public MessageParameterObj(Enum<?> key,
                               Object... args)

  Constructs an instance.

  Parameters:
    `key` - the key for the localized message.
    `args` - any message parameters, as required.

Method Detail

### getKey

    public Enum<?> getKey()

### getArgs

    public Object[] getArgs()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.